from django.urls import path, register_converter
from . import views,converters

register_converter(converters.AutoPageConverter,'autopage')
register_converter(converters.RedirectConverter,'redirect')

urlpatterns=[
	path('',views.index,name='idex'),
	path('contact',views.contact,name='contact'),
	path('comment',views.comment,name='shoutbox'),
	path('specs',views.specs,name='specs'),
	path('songs',views.songs,name='songs'),
	path('nerdshope',views.nerdshope,name='shop'),
	path('teapot',views.teapot,name='teapot'),
	path('toask',views.articles,name='articles'),
	path('r/<redirect:src>',views.redirect,name='redirect'),
	path('md.rss',views.md,name='md'),
	path('me.vcf',views.vcard,name='vcard'),
	path('<autopage:page>',views.autopage,name='everything'),
]